Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto.io
Class MacInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              org.bouncycastle.crypto.io.MacInputStream

All Implemented Interfaces:
  java.io.Closeable

    public class MacInputStream

extends java.io.FilterInputStream

Field Summary
`protected Mac` `mac`

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`MacInputStream(java.io.InputStream stream, Mac mac)`

Method Summary
`Mac` `getMac()`
`int` `read()`
`int` `read(byte[] b, int off, int len)`

Methods inherited from class java.io.FilterInputStream
`available, close, mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mac

    protected Mac mac

Constructor Detail

### MacInputStream

    public MacInputStream(java.io.InputStream stream,
                          Mac mac)

Method Detail

### read

    public int read()
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.FilterInputStream`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.FilterInputStream`
  Throws:
    `java.io.IOException`

### getMac

    public Mac getMac()

Bouncy Castle Cryptography Library 1.45